# TdApi.EmailAddressResetStateAvailable (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: EmailAddressResetStateAvailable

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.EmailAddressResetStateAvailable

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.EmailAddressResetState
it.tdlight.jni.TdApi.EmailAddressResetStateAvailable

Enclosing class:
  TdApi

public static final class TdApi.EmailAddressResetStateAvailable extends TdApi.EmailAddressResetState
Email address can be reset after the given period. Call resetAuthenticationEmailAddress to reset it and allow the user to authorize with a code sent to the user's phone number.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`waitPeriod`
Time required to wait before the email address can be reset; 0 if the user is subscribed to Telegram Premium.

## Constructor Summary

Constructors
Constructor
Description
`EmailAddressResetStateAvailable()`
Email address can be reset after the given period.
`EmailAddressResetStateAvailable(int waitPeriod)`
Email address can be reset after the given period.
`EmailAddressResetStateAvailable(DataInput input)`
Email address can be reset after the given period.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### waitPeriod

public int waitPeriod
Time required to wait before the email address can be reset; 0 if the user is subscribed to Telegram Premium.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### EmailAddressResetStateAvailable

public EmailAddressResetStateAvailable()
Email address can be reset after the given period. Call resetAuthenticationEmailAddress to reset it and allow the user to authorize with a code sent to the user's phone number.

### EmailAddressResetStateAvailable

public EmailAddressResetStateAvailable(int waitPeriod)
Email address can be reset after the given period. Call resetAuthenticationEmailAddress to reset it and allow the user to authorize with a code sent to the user's phone number.

Parameters:
  `waitPeriod` - int Time required to wait before the email address can be reset; 0 if the user is subscribed to Telegram Premium.

### EmailAddressResetStateAvailable

public EmailAddressResetStateAvailable(DataInput input) throws IOException
Email address can be reset after the given period. Call resetAuthenticationEmailAddress to reset it and allow the user to authorize with a code sent to the user's phone number.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`